net.dontdrinkandroot.visualization.examples.xsd

## Class AbstractXsdElement

- java.lang.Object
- - net.dontdrinkandroot.visualization.examples.xsd.AbstractXsdElement

All Implemented Interfaces:
  XsdElement

Direct Known Subclasses:
  Attribute, AttributeGroup, ComplexType, Element, Group, SimpleType

    public class AbstractXsdElement
    extends Object
    implements XsdElement

### Constructor Summary

Constructors
Constructor and Description
`AbstractXsdElement(String name)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`String` `getName()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractXsdElement

    public AbstractXsdElement(String name)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `XsdElement`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`